Bug 60994 - grub hangs in edit mode when pressing TAB
grub hangs in edit mode when pressing TAB
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Glen Foster
Depends On:
  Show dependency treegraph
Reported: 2002-03-11 11:39 EST by Stelian Pop
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-12 04:17:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stelian Pop 2002-03-11 11:39:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-reiserfs i686; Nav)

Description of problem:
In edit mode, grub hangs (with the HDD led on) when playing a bit with the TAB

This can be related (but not sure) to the fact that the (hd,0) line, referencing
/dev/hda1, was a swap partition instead of a linux ext2/ext3 partition...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Hampton neta2 cdrom GUI install, select grub
2. Boot grub, press (e)dit, select the initrd line, press (e)dit, change the
path, press TAB
3. Repeat several times

Actual Results:  After 2 or more TABS, computer hangs hard, with the HDD led on.

Expected Results:  Do the requested completion.

Additional info:
Comment 1 Jeremy Katz 2002-03-11 15:15:50 EST
I can't reproduce this here, I get "Error 17: Cannot mount selected partition"
when I edit the initrd line and try to change it to use my swap partition as the
root.  Can you give exact descriptions for how you changed things?
Comment 2 Stelian Pop 2002-03-12 04:17:16 EST
I have no access to the incriminated box right now, but I recall that what I did
was (and sorry it doesn't have anything to do with swap partition but more with
inexistent partition...):

1. the box had a previous RH 6.2 installation, with /=/dev/hda1, swap=/dev/hda5
2. i installed a Hampton beta, /=/dev/hda6, swap=/dev/hda5, selected grub as the
3. Hampton didn't prompted me in the bootloader configuration screen for 'other'
partitions to boot, so I edited /etc/grub.conf after install.
4. In /etc/grub.conf I added the lines:
	title Red Hat Linux 6.2
		root (hd0, 1)
		kernel /boot/vmlinuz-2.2.19-6.2.1 ro root=/dev/hda1
		initrd /boot/initrd-2.2.19-6.2.1
5. Note that there are several errors above:
	(hd0, 1) points to /dev/hda1 which doesn't exist - correct is hd0, 0
	an initrd file doesn't exist for this kernel
6. Reboot, choose RH 6.2 in grub, does not work.
7. Press edit on the entry, edit on the initrd line, then try to complete
several times, box hang.
8. The correct solution is to correct the root line, of course.

Hope it is more clear now...
Comment 3 Jeremy Katz 2002-05-03 17:23:02 EDT
Still can't reproduce... since this is an odd case of bad config file and the
like, going to wontfix for now

Note You need to log in before you can comment on or make changes to this bug.